patches from upstream:

 1277 Vagrant Cascadian 2010-07-12
      revision-id:vagrant@freegeek.org-20100713013740-nnei3qwv6o2oa1zn
      simplify check for LDM_LIMIT_ONE_SESSION_PROMPT by removing nested if
      statement.

 1276 Vagrant Cascadian 2010-07-12
      revision-id:vagrant@freegeek.org-20100713013600-d7d9xejt26bsnt8f
      use boolean_is_true to check for LDM_LIMIT_ONE_SESSION_PROMPT.

=== modified file 'rc.d/S15-userLoginCheck'
--- a/rc.d/S15-userLoginCheck	2009-01-29 04:00:33 +0000
+++ b/rc.d/S15-userLoginCheck	2010-07-13 01:37:21 +0000
@@ -30,13 +30,9 @@
         [ -z "$match" ] && procs="$procs $i"
     done
 
-    if [ $oldSessions -gt 0 ]; then
-        if [ -n "$LDM_LIMIT_ONE_SESSION_PROMPT" ]; then
-            ldm-dialog --question "`eval_gettext "The system thinks you are logged in elsewhere.  Would you like to close the other session and continue to log in?"`"
-            ret=$?
-        else
-            ret=0
-        fi
+    if [ $oldSessions -gt 0 ] && boolean_is_true "$LDM_LIMIT_ONE_SESSION_PROMPT" ; then
+        ldm-dialog --question "`eval_gettext "The system thinks you are logged in elsewhere.  Would you like to close the other session and continue to log in?"`"
+        ret=$?
     else
         ret=0
     fi

